List registered devices
Get list of registered devices.
The settings field will contain all the available settings for this device. The settings list can vary depending on the appcode.
Required permissions: DEVICE
get/tenants/{tenantUid}/devices
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
deviceStoreUidstringOptionalPattern:
Reference to a store uid
^[A-Za-z0-9-_]+pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring Ā· enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
Example response
application/json
get/tenants/{tenantUid}/devices
GET /v2/tenants/{tenantUid}/devices HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"deviceUid": "text",
"identifier": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastActivityAt": "2026-01-01T00:00:00.000Z",
"lastTenantUserUid": "text",
"name": "text",
"systemInformation": "text",
"status": "ACTIVE",
"store": {
"name": "text",
"storeUid": "text",
"organizationUid": "text"
},
"deviceLinkCode": "text",
"lastOrderUid": "text",
"till": {
"tillUid": "text",
"name": "text",
"tillNumber": 1
},
"appCode": "CLIENT",
"appVersion": "text",
"settings": [
{
"key": "text",
"value": "text",
"type": "STRING",
"allowedValues": [
"text"
],
"validationRegex": "text",
"name": "text",
"required": true
}
],
"printers": [
{
"printerUid": "text",
"name": "text",
"type": "LABEL",
"availablePrintActions": [
"RECEIPT"
]
}
]
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

